<script>
  import { scaleLog } from 'd3-scale';
  

  //Dimensions
  const width = 800;
  const height = 100;
  const margin = { top: 5, right: 5, bottom: 5, left: 5 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  const scaleX = scaleLog().domain([1, 10]).range([0,800])

  // Array
  const values = [2, 4, 6, 7, 9];
</script>

<style>
   circle {
            fill: pink;}

</style>

<svg viewBox="0 0 {width} {height}">
  <g transform="translate({margin.left},{margin.top})">
    {#each values as dp}
    <circle cx={scaleX(dp)} cy="50" r=10 />
  {/each}
  </g>
</svg>